# Class yii\rbac\Role

Inheritance | yii\rbac\Role » yii\rbac\Item » yii\base\BaseObject
Implements | yii\base\Configurable
Subclasses | yii\mongodb\rbac\Role
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/rbac/Role.php

For more details and usage information on Role, see the guide article on security authorization.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$createdAt | integer | UNIX timestamp representing the item creation time | yii\rbac\Item
$data | mixed | The additional data associated with this item | yii\rbac\Item
$description | string | The item description | yii\rbac\Item
$name | string | The name of the item. | yii\rbac\Item
$ruleName | string | Name of the rule associated with this item | yii\rbac\Item
$type | integer | The type of the item. | yii\rbac\Role
$updatedAt | integer | UNIX timestamp representing the item updating time | yii\rbac\Item

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Constants

Hide inherited constants

Constant | Value | Description | Defined By
--- | --- | --- | ---
TYPE_PERMISSION | 2 |  | yii\rbac\Item
TYPE_ROLE | 1 |  | yii\rbac\Item

## Property Details

$type public property

The type of the item. This should be either TYPE_ROLE or TYPE_PERMISSION.

public integer $type = self::TYPE_ROLE